        PAGE    58,132                  ;Set page for HPLaserJet
;=====================================================================
; Title: LongCurs
; Date: 4/19/1988
; Written by: Lloyd C. Bowen Jr.
; Written for: Use
; Purpose: Make the cursor long.
;=====================================================================
; set title and instruction set
; NOTE that 8086 is the minimum (see the reference manual for 80286)
        TITLE   LongCurs (COM)   
        .8086
;=====================================================================
CODESG          SEGMENT PARA    'Code'
                ASSUME  CS:CODESG
                ORG     100H
LONGCURS        PROC    FAR
BEGIN:  
                PUSH    DS
                XOR     AX,AX
                PUSH    AX                      ;set for return to dos
                MOV  AH,3                       ;func to get cursor lines
                MOV  BH,0                       ;page 0
                INT  10H                        ;CH=start, CL=stop
                CMP  CL,12                      ;14 scan lines?
                JNE  L1                         ;jump if 8 lines
                MOV  CL,13                      ;stop=13
                JMP  SHORT L2                   ;jump ahead
L1:             MOV  CL,7                       ;stop=7
L2:             MOV  CH,1                       ;start=1
                MOV  AH,1                       ;func to set cursor lines
                INT  10H                        ;make cursor long
                RET                             ;return to dos
LONGCURS        ENDP                            ;end of procedure
;
CODESG          ENDS                            ;end of segment
                END     BEGIN                   ;end of program

