        PAGE    58,132                  ;Set page for HPLaserJet
;=====================================================================
; Title: HalfCurs
; Date: 8/3/1988
; Written by: Lloyd C. Bowen Jr.
; Written for: Use
; Purpose: Make cursor half size.
;=====================================================================
; set title and instruction set
; NOTE that 8086 is the minimum (see the reference manual for 80286)
        TITLE   HalfCurs  (COM)   
        .8086
;=====================================================================
CODESG          SEGMENT PARA    'Code'
                ASSUME  CS:CODESG
                ORG     100H
HALFCURS        PROC    FAR
BEGIN:  
                PUSH    DS
                XOR     AX,AX
                PUSH    AX                      ;set for return to dos
                MOV  AH,3                       ;func to get cursor lines
                MOV  BH,0                       ;page 0
                INT  10H                        ;CH=start, CL=stop
                CMP  CH,14                      ;14 lines?
                JNE  L5                         ;jump if 8 lines
                MOV  CH,7                       ;start=7
                MOV  CL,12                      ;stop=12
                JMP  SHORT L6                   ;jump ahead
L5:             MOV  CL,7                       ;stop=7
                MOV  CH,4                       ;start=4
L6:             MOV  AH,1                       ;func to set cursor lines
                INT  10H                        ;make cursor normal
                RET                             ;return to dos
HALFCURS        ENDP                            ;end of procedure
;
CODESG          ENDS                            ;end of segment
                END     BEGIN                   ;end of program


