        PAGE    58,132                  ;Set page for HPLaserJet
;=====================================================================
; Title: NormCurs
; Date: 4/19/1988
; Written by: Lloyd C. Bowen Jr.
; Written for: Use
; Purpose: Restore cursor to normal size and shape.
;=====================================================================
; set title and instruction set
; NOTE that 8086 is the minimum (see the reference manual for 80286)
        TITLE   NormCurs  (COM)   
        .8086
;=====================================================================
CODESG          SEGMENT PARA    'Code'
                ASSUME  CS:CODESG
                ORG     100H
NORMCURS        PROC    FAR
BEGIN:  
                PUSH    DS
                XOR     AX,AX
                PUSH    AX                      ;set for return to dos
                MOV  AH,3                       ;func to get cursor lines
                MOV  BH,0                       ;page 0
                INT  10H                        ;CH=start, CL=stop
                CMP  CH,14                      ;14 lines?
                JNE  L3                         ;jump if 8 lines
                MOV  CH,11                      ;start=11
                MOV  CL,12                      ;stop=12
                JMP  SHORT L4                   ;jump ahead
L3:             MOV  CL,7                       ;stop=7
                MOV  CH,6                       ;start=6
L4:             MOV  AH,1                       ;func to set cursor lines
                INT  10H                        ;make cursor normal
                RET                             ;return to dos
NORMCURS        ENDP                            ;end of procedure
;
CODESG          ENDS                            ;end of segment
                END     BEGIN                   ;end of program

